Summary: A library for handling page faults in user mode
Name:    libsigsegv
Version: 2.14
Release: 6%{?dist}
License: GPLv2+
URL:     https://www.gnu.org/software/%{name}/
Source0: http://ftp.gnu.org/gnu/%{name}/%{name}-%{version}.tar.gz

# Patch3001 is from fedora, to fix the build error "redefinition of ‘struct _fpx_sw_bytes’"
Patch3001:  configure.patch

BuildRequires: gcc make automake libtool

%description
GNU libsigsegv is a library for handling page faults in user mode. 
A page fault occurs when a program tries to access to a region of 
memory that is currently not available. Catching and handling a page 
fault is a useful technique for implementing:
* pageable virtual memory,
* memory-mapped access to persistent databases,
* generational garbage collectors,
* stack overflow handlers,
* distributed shared memory,
* ...


%package devel
Summary: Development libraries and header files for %{name} 
Requires: %{name} = %{version}-%{release}
%description devel
This package provides development libraries and header files of %{name}


%package static
Summary: Static libraries for %{name}
Requires: %{name}-devel = %{version}-%{release}
%description static
This package provides static libraries of %{name}


%prep
%autosetup -p1


%build
autoreconf -ivf
%configure --enable-shared --enable-static --disable-silent-rules
%make_build


%install
%make_install
rm -f %{buildroot}%{_libdir}/*.la


%check
%make_build check


%post  -p /sbin/ldconfig


%postun -p /sbin/ldconfig


%files
%license COPYING
%doc README AUTHORS NEWS 
%{_libdir}/%{name}.so.*


%files devel
%{_libdir}/%{name}.so
%{_includedir}/sigsegv.h


%files static
%{_libdir}/%{name}.a


%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.14-6
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.14-5
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.14-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.14-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.14-2
- Rebuilt for OpenCloudOS Stream 23

* Fri Jul 22 2022 doriscchao <doriscchao@tencent.com> - 2.14-1
- initial build, Version 2.14, Release 1

